function [ fun, grad] = funRegL2( M,fileID,x, views )
%FUNREG2 Summary of this function goes here
%   Detailed explanation goes here

grad = zeros(size(x))';
fun  = 0;

for f=1:views
    xtmp                = x([1:9,9+f]);
    [tmpfun,tmpgrad]    = oneview_L2(M(6*f-5:6*f,[1:10,10+f]),xtmp);
    fun                 = fun+tmpfun;
    grad([1:9,9+f])     = grad([1:9,9+f]) + tmpgrad;
end


% fprintf(fileID,'%3.3f %3.3f %3.3f\n',x(7:9));
fprintf(fileID,'%3.3f %3.3f %3.3f %3.3f %3.3f %3.3f %3.3f %3.3f %3.3f\n',x(1:9));
% fprintf(fileID,[num2str(x(7)) ' ' num2str(x(8)) ' ' num2str(x(9)) '\n']);
