function [ P_vec ] = Pvectz( P )
%PVECTZ vectorizes the projection matrix of twelve elements

n_f = size(P,1)/4;

for f=1:n_f
    Pf                          = P(4*f-3:4*f,:)';
    P_vec(f,1:12)               = Pf(:)';
end

end

