function [ x3c ] = exCnt( Rec )
%X3C computes the centers of the ellipsoids

nO  = length(Rec);
x3c = zeros(4,nO);
x3c(4,:) = x3c(4,:) + 1;

for i=1:length(Rec)
    if isfield(Rec{i},'Q')  
        x3c(1:3,i) = Rec{i}.Q(1:3,4);
    end
end

end

