function  p = plotBbx( BBx, clr, lnwdth, oNmb )
%PLOTBBX plot bounding boxes 
% 
%SYNTAX
% 
% p = plotBbx( BBx, clr, lnwdth )
% 
if nargin==1
    clr    = [1 0 0];
    lnwdth = 3;
elseif nargin==2
    lnwdth = 3;
end

lines = [3   3   1   1 ;...
         1   3   3   1 ;...
         2   4   4   2 ;...
         2   2   4   4 ];
C(1) = (BBx(1)+BBx(3))/2;
C(2) = (BBx(2)+BBx(4))/2;
ht   = abs(BBx(2)-BBx(4))/2+20;
side = double(mod(round(C(2)/50),2)~=0);

p = plot( BBx(lines(1:2,:)), BBx(lines(3:4,:)),'-','Color',clr,'linewidth',lnwdth);
% text(C(1)-10,C(2),num2str(oNmb),'FontName','Arial','FontWeight','Bold','Fontsize',25,'BackgroundColor',[1 1 1]);
text(C(1)-10,C(2),num2str(oNmb),'FontName','Arial','FontWeight','Bold','Fontsize',25,'Color',[1 0.3 0]);
     
end

